Partio

Classes | Namespaces | Enumerations | Functions
PartioAttribute.h File Reference

Go to the source code of this file.

## Classes
struct | Partio::ETYPE_TO_TYPE< ENUMTYPE >
struct | Partio::ETYPE_TO_TYPE< VECTOR >
struct | Partio::ETYPE_TO_TYPE< FLOAT >
struct | Partio::ETYPE_TO_TYPE< INT >
struct | Partio::ETYPE_TO_TYPE< INDEXEDSTR >
struct | Partio::IS_SAME< T1, T2 >
struct | Partio::IS_SAME< T, T >
class | Partio::ParticleAttribute
| Particle Collection Interface. More...
class | Partio::FixedAttribute
| Fixed Attribute Interface. More...

## Namespaces
namespace | Partio

## Enumerations
enum | Partio::ParticleAttributeType { Partio::NONE =0 , Partio::VECTOR =1 , Partio::FLOAT =2 , Partio::INT =3 , Partio::INDEXEDSTR =4 }

## Functions
template<class T >
bool | Partio::typeCheck (const ParticleAttributeType &type)
int | Partio::TypeSize (ParticleAttributeType attrType)
std::string | Partio::TypeName (ParticleAttributeType attrType)